﻿Imports System.Xml
Imports System.Xml.XPath
Imports System.Net
Public Class datalayer
    Private dt As DataTable
    Public Sub New()
        
        Dim _doc As New XmlDocument()


        dt = New DataTable()
        dt.Columns.Add(New DataColumn("Title", GetType([String])))
        dt.Columns.Add(New DataColumn("Artist", GetType([String])))
        dt.Columns.Add(New DataColumn("Country", GetType([String])))
        dt.Columns.Add(New DataColumn("Company", GetType([String])))
        dt.Columns.Add(New DataColumn("Price", GetType([Double])))
        dt.Columns.Add(New DataColumn("Year", GetType(Int32)))


        _doc.Load("http://www.w3schools.com/xml/cd_catalog.xml")

        Dim root As XmlElement = _doc.DocumentElement
        Dim navigator As XPathNavigator = _doc.CreateNavigator()
        Dim cdData As XPathNodeIterator = navigator.[Select]("//CD")

        While cdData.MoveNext()
            Dim cdDataElements As XPathNodeIterator = cdData.Current.SelectChildren(XPathNodeType.Element)
            Dim dr As DataRow = dt.NewRow()
            While cdDataElements.MoveNext()
                ' Read the values based on the element name
                Select Case cdDataElements.Current.Name
                    '  convert values as necessary to match the business object's property types
                    Case "TITLE"
                        dr("Title") = cdDataElements.Current.Value.ToString()
                        Exit Select
                    Case "ARTIST"
                        dr("Artist") = cdDataElements.Current.Value.ToString()
                        Exit Select
                    Case "COUNTRY"
                        dr("Country") = cdDataElements.Current.Value.ToString()
                        Exit Select
                    Case "COMPANY"
                        dr("Company") = cdDataElements.Current.Value.ToString()
                        Exit Select
                    Case "PRICE"
                        dr("Price") = Convert.ToDouble(cdDataElements.Current.Value)
                        Exit Select
                    Case "YEAR"
                        dr("Year") = Convert.ToInt32(cdDataElements.Current.Value)
                        Exit Select
                End Select
            End While
            dt.Rows.Add(dr)


        End While
    End Sub

    Public ReadOnly Property GetData() As DataTable
        Get
            Return dt
        End Get
    End Property
End Class
